Naar inhoud springen

LTX 2.5 Pro Text to Video

Integreren

Model-ID lightricks/ltx-2.5/text-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request: $ 0,72 720 API-tegoed · ≈ ₽ 77,46 Op deze pagina uitvoeren

API-sleutel ophalen
Lightricks Tekst naar video Native audio6–10 stot 1080p #camera-control#50fps

Lightricks' LTX 2.5 Pro, clips van 6 tot 10 seconden met audio en benoemde camerabewegingen tot 1080p en 50 fps.

Voorbeelden

Uitvoer · ~51 s

PromptSlow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.

6 s720p16:9generate_audio: false$ 0,72 · 720 API-tegoed

Een aanvraag samenstellen

Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.

•verplicht 210 / 5000

Prompt die videogeneratie aanstuurt.

duration 6 s

Selectie van videoduur: geef een duur in seconden op of kies 'auto' om het model te laten beslissen. De maximale duur is 10 seconden.

resolution

Resolutie van de uitvoervideo.

aspect_ratio

Beeldverhouding van de uitvoervideo.

camera_motion

Optionele camerabeweging voor de uitvoervideo.

Geavanceerd fps
fps standaard 25

Framesnelheid van de uitvoervideo, gemeten in frames per seconde.

POST /run/lightricks/ltx-2.5/text-to-video/pro?wait=20 prijsopgave → $ 0,72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request uitvoeren

Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen

Over LTX 2.5 Pro Text to Video

LTX 2.5 Pro rendert scherpe video in 720p of 1080p met gegenereerde audio en laat je een benoemde camerabeweging kiezen (dolly in of out, sideways dolly, jib up of down, static, focus shift) in plaats van deze te beschrijven. 6, 8 of 10 seconden of automatische lengte, 24, 25 of 50 fps, liggend of staand.

Parameters

NaamType StandaardToegestaan Beschrijving
promptverplicht
Typestring
≤ 5.000 tekens
Prompt die videogeneratie aanstuurt.
durationoptioneel
Typeenum
Standaardauto
6810auto
Selectie van videoduur: geef een duur in seconden op of kies 'auto' om het model te laten beslissen. De maximale duur is 10 seconden.
resolutionoptioneel
Typeenum
Standaard1080p
720p1080p
Resolutie van de uitvoervideo.
aspect_ratiooptioneel
Typeenum
Standaard16:9
16:99:16
Beeldverhouding van de uitvoervideo.
fpsoptioneel
Typeenum
Standaard25
242550
Framesnelheid van de uitvoervideo, gemeten in frames per seconde.
generate_audiooptioneel
Typeboolean
Standaardtrue
Schakelaar voor audiogeneratie in de uitvoervideo.
camera_motionoptioneel
Typeenum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
Optionele camerabeweging voor de uitvoervideo.
verplicht

Uitvoer

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/text-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Through a sheer red veil, a bride smiles as marigold petals fall around her, warm evening light",
    "duration": 6,
    "resolution": "1080p",
    "camera_motion": "dolly_in"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jouw bestanden, jouw keuzeElke outputs[].url is een kopie in onze opslag: voor altijd bewaard (betaald per GB-maand) of 7 dagen gratis, volgens je accountinstelling of ?storage=.
Dezelfde structuur voor elk modeltype, url, content_type, width, height en duration, voor afbeeldingen, video en audio. output is het eigen resultaatobject van het model.
Velden van de uitvoer
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Resulterend videobestand.

Meer modellen: Tekst naar video

Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/lightricks/ltx-2.5/text-to-video/pro.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt